﻿@model IEnumerable<eCommerce.BackOffice.ViewModels.StockMovementViewModel>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th>#</th>
            <th>Fecha</th>
            <th>Código</th>
            <th>Talle</th>
            <th>Color</th>
            <th>Depósito</th>
            <th>Tipo de Movimiento</th>
            <th>Concepto</th>
            <th class="text-right">Cantidad</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@Html.DisplayFor(modelItem => item.StockMovementId)</td>
            <td>@item.Date.ToShortDateString()</td>
            <td>@Html.DisplayFor(modelItem => item.ProductCode)</td>
            <td>@Html.DisplayFor(modelItem => item.SizeName)</td>
            <td>@Html.DisplayFor(modelItem => item.ColorName)</td>
            <td>@Html.DisplayFor(modelItem => item.DepositName)</td>
            <td>
                @if (item.MovementTypeName == StockMovementTypeEnum.Ingreso.ToString())
                {
                    <span class="text-success text-semibold">
                        <i class="icon wb-chevron-down-mini" aria-hidden="true"></i> @item.MovementTypeName
                    </span>
                }
                else
                {
                    <span class="text-danger text-semibold">
                        <i class="icon wb-chevron-up-mini" aria-hidden="true"></i> @item.MovementTypeName
                    </span>
                }
            </td>
            <td>@Html.DisplayFor(modelItem => item.Concept)</td>
            <td class="text-right">@Html.DisplayFor(modelItem => item.Quantity)</td>
        </tr>
    }
    </tbody>
</table>